/**
 * @desc 集成任务日志明细
 * @date 2024-01-11
 */
// 表头
const tableColumnData = [
  {
    label: '任务名称',
    prop: 'plugin_name',
    tooltip: true,
    width: 300
  },
  {
    label: '源系统编码',
    prop: 'root_app_bill',
    tooltip: true,
    width: 200
  },
  {
    label: '最新推送状态',
    prop: 'new_state',
    tooltip: true,
    width: 200
  },
  {
    label: '最新传输结果',
    prop: 'new_transmit_info',
    tooltip: true,
    width: 600
  },
  {
    label: '最新推送时间',
    prop: 'new_push_date',
    tooltip: true,
    width: 300
  },
  {
    label: '业务⽇期',
    prop: 'business_date',
    tooltip: true,
    width: 200
  },
  {
    label: '下游系统单号',
    prop: 'new_system_number',
    tooltip: true,
    width: 200
  },
  {
    label: '处理⼈',
    prop: 'processor_name',
    tooltip: true,
    width: 300
  },
  {
    label: '处理备注',
    prop: 'processing_remarks',
    tooltip: true,
    width: 300
  },
  {
    label: '处理时间',
    prop: 'processing_time',
    tooltip: true,
    width: 200
  },
]
const tableVersionColumn = [
  {
    label: '版本号',
    prop: 'versionNumber',
  },
  {
    label: '版本说明',
    prop: 'versionDescription',
  },
]

// 基本信息内容
const formRow = [
  {
    elCol: [{
      label: '产品编码',
      prop: 'code',
      tag: 'elInput',
    },{
      label: '产品名称',
      prop: 'name',
      tag: 'elInput',
    }]
  },
  {
    elCol: [{
      label: '产品分类',
      prop: 'classify',
      tag: 'elSelect',
      options:[],
      optionValue:'column_value',
			optionLabel:'column_content',
      span: 24
    }]
  },
  {
    elCol: [{
      label: '产品简述',
      prop: 'description',
      tag: 'elInput',
      type: 'textarea',
      span: 24,
    }]
  },
  {
    elCol: [{
      label: '出品公司',
      prop: 'productionCompany',
      tag: 'elInput',
      span: 24,
    }]
  },
]

const basicsRules ={
  code:[{
    required: true,
    message: '请输入产品编码',
    trigger: 'blur'
  }],
  name:[{
    required: true,
    message: '请输入产品名称',
    trigger: 'blur'
  }],
  classify:[{
    required: true,
    message: '请选择产品分类',
    trigger: 'blur'
  }],
  productionCompany:[{
    required: true,
    message: '请输入出品公司',
    trigger: 'blur'
  }],
}

// 查看
const formRowShow = [
  {
    elCol: [{
      label: '源系统主键',
      prop: 'root_app_pk',
      tag: 'elInput',
      disabled:true,
      placeholder:"暂无数据"
    },{
      label: '源系统编码',
      prop: 'root_app_bill',
      tag: 'elInput',
      disabled:true,
      placeholder:"暂无数据"
    }]
  },
  {
    elCol: [{
      label: '创建时间',
      prop: 'create_time',
      tag: 'elInput',
      disabled:true,
      placeholder:"暂无数据"
    },{
      label: '最新推送状态',
      prop: 'new_state',
      tag: 'elRadio',
      options: [
        { label: '成功', value: 'Y' },
        { label: '已处理', value: 'H' },
        { label: '失败', value: 'N' },
      ],
      disabled:true
    }
  ]
  },
  {
    elCol: [{
      label: '最新传输结果',
      prop: 'new_transmit_info',
      tag: 'elInput',
      type: 'textarea',
      disabled:true,
      span: 24,
      placeholder:"暂无数据"
    }]
  },
  {
    elCol: [{
      label: '最新元数据',
      prop: 'root_app_new_data',
      tag: 'elInput',
      type: 'textarea',
      disabled:true,
      span: 24,
      placeholder:"暂无数据"
    }]
  },
  {
    elCol: [{
      label: '最新推送时间',
      prop: 'new_push_date',
      tag: 'elInput',
      disabled:true,
      placeholder:"暂无数据"
    },{
      label: '业务日期',
      prop: 'business_date',
      tag: 'elInput',
      disabled:true,
      placeholder:"暂无数据"
    }]
  },
  {
    elCol: [{
      label: '下游系统主键',
      prop: 'new_system_number',
      tag: 'elInput',
      disabled:true,
      placeholder:"暂无数据"
    },{
      label: '下游系统单号',
      prop: 'new_system_primary',
      tag: 'elInput',
      disabled:true,
      placeholder:"暂无数据"
    }]
  },
  {
    elCol: [{
      label: '处理人名称',
      prop: 'processor_name',
      tag: 'elInput',
      disabled:true,
      placeholder:"暂无数据"
    },{
      label: '处理时间',
      prop: 'processing_time',
      tag: 'elInput',
      disabled:true,
      placeholder:"暂无数据"
    }]
  },
  {
    elCol: [{
      label: '处理备注 ',
      prop: 'processing_remarks',
      tag: 'elInput',
      type: 'textarea',
      span: 24,
      disabled:true,
      placeholder:"暂无数据"
    }]
  }
]
export default {
  tableColumnData,
  formRow,
  basicsRules,
  formRowShow,
  tableVersionColumn
}