/**
 * @desc 集成产品清单
 * @date 2023-07-10
 */
// 表头
const tableColumnData = [
  {
    label: '插件名称',
    prop: 'plugName',
  },
  {
    label: '描述',
    prop: 'remark',
  },
]
const tableVersionColumn = [
  {
    label: '参数名称',
    prop: 'argName',
  },
  {
    label: '参数编码',
    prop: 'argCode',
  },
  {
    label: '参数类型',
    prop: 'argType',
    width:200,
  },
  {
    label: '备注',
    prop: 'remark',
  },
]

// 基本信息内容
const formRow = [
  {
    elCol: [{
      label: '插件',
      prop: 'plugId',
      tag: 'elSelect',
      options:[],
      optionValue:'pluginId',
			optionLabel:'pluginLabel',
      span: 24
    }]
  },
  {
    elCol: [{
      label: '描述',
      prop: 'remark',
      tag: 'elInput',
      type: 'textarea',
      span: 24,
    }]
  },
]

const basicsRules ={
  plugId:[{
    required: true,
    message: '请选择插件',
    trigger: 'blur'
  }],
}

// 查看
const formRowShow = [
  {
    elCol: [{
      label: '插件',
      prop: 'plugName',
      tag: 'elLook',
      disabled:true,
      span: 24
    }]
  },
  {
    elCol: [{
      label: '描述',
      prop: 'remark',
      tag: 'elLook',
      type: 'textarea',
      span: 24,
      disabled: true,
    }]
  },
]
export default {
  tableColumnData,
  formRow,
  basicsRules,
  formRowShow,
  tableVersionColumn
}
