// 表头配置
const tableColumnJson = [
  {
    label: "标题",
    prop: "phaseContent",
    tooltip: true,
    width: 300,
  },
  {
    label: "Bug类型",
    prop: "billCode",
    tooltip: true,
  },
  {
    label: "优先级",
    prop: "createDate",
    tooltip: true,
  },
  {
    label: "状态",
    prop: "projectState",
    tooltip: true,
  },
  {
    label: "预计工时",
    prop: "clueState",
    tooltip: true,
  },
  {
    label: "处理人员",
    prop: "clueTheme",
    tooltip: true,
  },
  {
    label: "提交人",
    prop: "important",
    tooltip: true,
  },
  {
    label: "提交时间",
    prop: "mobilePhone",
    tooltip: true,
  },
  {
    label: "要求完成时间",
    prop: "mobilePhone",
    tooltip: true,
    width: 100,
  },
  {
    label: "操作",
    prop: "operate",
    width: "70",
  },
];
const topFormRow = [
  {
    elCol: [
      {
        label: "要求时间",
        prop: "overDate",
        tag: "elDatePicker",
        span: 24,
      },
    ],
  },
  {
    elCol: [
      {
        label: "处理人员",
        prop: "personName",
        tag: "elDialog",
        placeholder: "选择处理人员",
        span: 24,
      },
    ],
  },
  {
    elCol: [
      {
        label: "优先级",
        prop: "level",
        tag: "elRadio",
        span: 24,
        options: [
          {
            label: "加急",
            value: 1,
          },
          {
            label: "优先",
            value: 2,
          },
          {
            label: "正常",
            value: 3,
          },
        ],
      },
    ],
  },
  {
    elCol: [
      {
        label: "预计工时",
        prop: "hour",
        tag: "elInput",
        placeholder: "请输入工作时间",
        span: 24,
        rules: true,
        rulesName: "decimal",
      },
    ],
  },
  {
    elCol: [
      {
        label: "任务内容",
        prop: "content",
        tag: "elInput",
        placeholder: "请输入任务内容",
        span: 24,
        type: "textarea",
        maxlength: "110",
        rows: "7",
      },
    ],
  },
];
const searchList = [
  {
    placeholder: "类型",
    columnNameEN: "state",
    tag: "elSelect",
    options: [],
    optionValue: "ddd_DicDetailsID",
    optionLabel: "ddd_DicDetailsName",
    width: "250px",
    columnNameCN: "类型",
  },
  {
    placeholder: "优先级",
    columnNameEN: "bugLevel",
    tag: "elSelect",
    options: [],
    optionValue: "ddd_DicDetailsID",
    optionLabel: "ddd_DicDetailsName",
    width: "250px",
    columnNameCN: "优先级",
  },
  {
    placeholder: "状态",
    columnNameEN: "bugType",
    tag: "elSelect",
    options: [],
    optionValue: "ddd_DicDetailsID",
    optionLabel: "ddd_DicDetailsName",
    width: "250px",
    columnNameCN: "状态",
  },
];
const Editor = [
  {
    elCol: [
      {
        label: "标题",
        prop: "title",
        tag: "elInput",
        span: 24,
      },
    ],
  },
  {
    elCol: [
      {
        label: "优先级",
        prop: "bugLevel",
        tag: "elSelect",
        options: [],
      },
      {
        label: "Bug类型",
        prop: "bugType",
        tag: "elSelect",
        options: [],
      },
    ],
  },
];
const rules = {
  title: [
    {
      required: true,
      message: "请输入标题",
      trigger: "blur",
    },
  ],
  bugLevel: [
    {
      required: true,
      message: "请选择优先级",
      trigger: "blur",
    },
  ],
  bugType: [
    {
      required: true,
      message: "请选择Bug类型",
      trigger: "blur",
    },
  ],
};
const distribute = {
  overDate: [
    {
      required: true,
      message: "请选择时间",
      trigger: "blur",
    },
  ],
  personName: [
    {
      required: true,
      message: "请选择人员",
      trigger: "blur",
    },
  ],
  level: [
    {
      required: true,
      message: "请选择优先级",
      trigger: "blur",
    },
  ],
  hour: [
    {
      required: true,
      message: "请输入预计工时",
      trigger: "blur",
    },
  ],
  content: [
    {
      required: true,
      message: "请输入工作内容",
      trigger: "blur",
    },
  ],
}
export default {
  tableColumnJson,
  topFormRow,
  searchList,
  Editor,
  rules,
  distribute
};
